## GnomeDbCanvasText

GnomeDbCanvasText — Base class for GnomeDbCanvasItem objects rendering a GnomeDbBase's name as a text

## Synopsis

                GnomeDbCanvasText;
    GType       gnome_db_canvas_text_get_type   (void);
    void        gnome_db_canvas_text_set_highlight
                                                (GnomeDbCanvasText *ct,
                                                 gboolean highlight);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----GnomeDbCanvasItem
                               +----GnomeDbCanvasText
                                     +----GnomeDbCanvasField

## Properties

      "gnome-db-base"        gpointer              : Read / Write
      "height"               gdouble               : Write
      "highlight-color"      gchararray            : Read / Write
      "scale"                gdouble               : Write
      "text-bold"            gboolean              : Read / Write
      "text-underline"       gboolean              : Read / Write
      "width"                gdouble               : Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced GnomeDbBase object is nullified.

## Details

### GnomeDbCanvasText

    typedef struct _GnomeDbCanvasText GnomeDbCanvasText;

### gnome_db_canvas_text_get_type ()

    GType       gnome_db_canvas_text_get_type   (void);

Returns : |

### gnome_db_canvas_text_set_highlight ()

    void        gnome_db_canvas_text_set_highlight
                                                (GnomeDbCanvasText *ct,
                                                 gboolean highlight);

Turns ON or OFF the highlighting of `ct`

`ct` : | a GnomeDbCanvasText object
`highlight` : |

## Property Details

### The "`gnome-db-base`" property

      "gnome-db-base"        gpointer              : Read / Write

### The "`height`" property

      "height"               gdouble               : Write

Allowed values: >= 0

Default value: 0

### The "`highlight-color`" property

      "highlight-color"      gchararray            : Read / Write

Default value: NULL

### The "`scale`" property

      "scale"                gdouble               : Write

Text scaling factor.

Allowed values: >= 0

Default value: 0

### The "`text-bold`" property

      "text-bold"            gboolean              : Read / Write

Default value: FALSE

### The "`text-underline`" property

      "text-underline"       gboolean              : Read / Write

Default value: FALSE

### The "`width`" property

      "width"                gdouble               : Write

Allowed values: >= 0

Default value: 0